> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer workflow step

> Answer the pending workflow step (text, selection, rating, attachments) or
request a human with botAction "humanHandoff".



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /s2s/conversations/{conversationId}/workflow/answer
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/conversations/{conversationId}/workflow/answer:
    post:
      tags:
        - S2S Conversations
      summary: Answer workflow step
      description: >-
        Answer the pending workflow step (text, selection, rating, attachments)
        or

        request a human with botAction "humanHandoff".
      operationId: AnswerWorkflowStep
      parameters:
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/S2SWorkflowAnswerBody'
      responses:
        '202':
          description: Accepted
      security:
        - s2s: []
components:
  schemas:
    S2SWorkflowAnswerBody:
      properties:
        text:
          type: string
          description: Free-text answer (input / chat steps).
        selected:
          type: string
          description: Selected option value (button / select steps).
        rating:
          type: number
          format: double
          description: Rating value (rate-conversation steps).
        attachments:
          items:
            $ref: '#/components/schemas/S2SAttachmentInput'
          type: array
        botAction:
          type: string
          enum:
            - humanHandoff
          nullable: false
          description: '"humanHandoff" requests a human without waking an agent run.'
      type: object
      additionalProperties: false
    S2SAttachmentInput:
      properties:
        url:
          type: string
        name:
          type: string
        contentType:
          type: string
      required:
        - url
      type: object
      additionalProperties: false
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````